1

Hello after reading many threads i read that following are the steps in order to update magento with composer

  1. composer require magento/product-community-edition=2.4.4 --no-update
  2. composer update

As result i got following error: https://ibb.co/Mnw4p0H

In order to fix i tried

  1. auth.json with repo username/password

  2. composer.json with following: https://github.com/magento/magento2/blob/2.4.4/composer.json

  3. added into composer.json following

    "repositories": [ { "type": "composer", "url": "https://repo.magento.com/" } ],

but nothing to do.. Thanks

2 Answers 2

2

Run below Commands

composer require magento/product-community-edition 2.4.4 --no-update

composer update --ignore-platform-reqs

php bin/magento s:up

php bin/magento s:s:d -f

php bin/magento s:d:c

php bin/magento in:rein

php bin/magento c:c

Note: Remove your updated file composer.json and add your older composer.json file if you update composer.lock file then also remove it and add your older composer.lock file. You do not add or remove any file from the existing Magento. When you run the command it will automatically update files that are required.

0

backup the composer.lock file to the composer.lock.bk and remove the composer.lock file and try again with the below command

composer2 require magento/composer-root-update-plugin ~2.0 --no-update
composer update --ignore-platform-reqs
composer require magento/product-community-edition=2.4.4 --no-update
composer update --ignore-platform-reqs
1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.